Subject: Re: bug#26302: [website] translations

From: ng0 <[email-masked]>
Date: Mon, 31 Jul 2017 21:54:48 +0000

Ludovic Courtès transcribed 1.1K bytes:
> Hi,
> 
> ng0 <[email-masked]> skribis:
> 
> > One thing I like about the template of https://taler.net is the usage of
> > javascript free translations of text (jinja2 is used), easy to select
> > and write.
> > I think translations of web sites are useful, necessary and important.                                                                                                                                                             
> > We must provide this in the long run on the Guix web site aswell.
> 
> FWIW I agree.
> 
> I wouldn’t want to use JS for that, though.
> 
> It may be that the simplest solution would be to use Gettext since,
> after all, the web site is a regular Scheme program.
> 
> I would welcome work in this direction!
> 
> Ludo’.

I made some progress here, but only in theory and discussion.
It might take some time until I can write it down, and my approach
to websites and their translations might not be what we as Guix would want.

I'll update this with more info, I'll basically intend to use my own
project website as a testing ground for this with the version after
the current work in progress version.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org